Subject: Re: bug#26604: documentation: pdf generation is broken

From: zimoun <[email-masked]>
Date: Mon, 28 Sep 2020 21:57:43 +0200

Dear,

On Fri, 05 May 2017 at 20:53, [email-masked] (Ludovic Courtès) wrote:
> Chris Marusich <[email-masked]> skribis:
>> ng0 <[email-masked]> writes:

>>> As long as I run guix I was never able to build the documentation
>>> as pdf. What's wrong with it?
>>>
>>> [user@abyayala ~/src/guix/guix]$ make doc/guix.pdf
>>>   TEXI2PDF doc/guix.pdf
>>>   /gnu/store/jz7jq4w8d4czvgnk9as07rrdbcfjjgjj-profile/bin/texi2dvi: pdftex
>>> exited with bad status, quitting.
>>>   make: *** [Makefile:3591: doc/guix.pdf] Error 1
>>
>> I looked into this a week or two ago.  I think we're waiting for a newer
>> release of automake?
>
> AFAIK the ‘texinfo.tex’ file that Automake 1.15 installs is good enough,
> as shown by
> <https://hydra.gnu.org/job/gnu/master/guix-0.12.0-9.25a4.x86_64-linux>
> <https://hydra.gnu.org/build/2017216/log/raw>.

I do not know what I miss but I get this error:

--8<---------------cut here---------------start------------->8---
$ guix environment -C guix --ad-hoc texlive-base texlive-fonts-ec
[env]$ ./bootstrap && ./configure --localstatedir=/var/ && make
[env]$ make doc/guix.pdf
  TEXI2PDF doc/guix.pdf

kpathsea: Running mktexpk --mfmode / --bdpi 600 --mag 1+3/600 --dpi 603 ecrm1095
mktexpk: Running mf-nowin -progname=mf \mode:=ljfour; mag:=1+3/600; nonstopmode; input ecrm1095
This is METAFONT, Version 2.7182818 (TeX Live 2019) (preloaded base=mf)

(/gnu/store/jq35y4na0bciw1i60p9z44aq82dsp5x2-profile/share/texmf-dist/fonts/source/jknappen/ec/ecrm1095.mf (/gnu/store/jq35y4na0bciw1i60p9z44aq82dsp5x2-profile/share/texmf-dist/fonts/source/jknappen/ec/exbase.mf) (/gnu/store/jq35y4na0bciw1i60p9z44aq82dsp5x2-profile/share/texmf-dist/fonts/source/jknappen/ec/ecrm.mf (/gnu/store/jq35y4na0bciw1i60p9z44aq82dsp5x2-profile/share/texmf-dist/fonts/source/jknappen/ec/exroman.mf
 Ok (/gnu/store/jq35y4na0bciw1i60p9z44aq82dsp5x2-profile/share/texmf-dist/fonts/source/jknappen/ec/exaccess.mf

[...]

 Ok [48] [49] [50] [51] [52] [53] [54] [55] [56] [57]) (/gnu/store/jq35y4na0bciw1i60p9z44aq82dsp5x2-profile/share/texmf-dist/fonts/source/jknappen/ec/exrligtb.mf
 Ok) ) ) )
(some charht values had to be adjusted by as much as 0.07599pt)
Font metrics written on ecrm1095.tfm.
Output written on ecrm1095.603gf (256 characters, 55528 bytes).
Transcript written on ecrm1095.log.
mktexpk: /home/simon/src/guix/wk/emacs-vm/doc/guix.t2p/doc!guix.t2d/pdf/build/ecrm1095.603pk: successfully generated.
/gnu/store/jq35y4na0bciw1i60p9z44aq82dsp5x2-profile/bin/texi2dvi: pdftex exited with bad status, quitting.
make: *** [Makefile:4181: doc/guix.pdf] Error 1
--8<---------------cut here---------------end--------------->8---

And it is a bit cryptic…  What am I doing wrong?

All the best,
simon